from checkbox.plugin import Plugin


class IntroPrompt(Plugin):

    def register(self, manager):
        super(IntroPrompt, self).register(manager)
        self._manager.reactor.call_on("prompt-begin", self.prompt_begin)

    def prompt_begin(self, interface):
        interface.show_text("""\
Welcome to System Certification!

This application will gather information from your system. Then you \
will be asked manual tests to confirm that the system is working \
properly. Finally, you will be asked for the Secure ID of the computer \
to submit the information to the certification.canonical.com database.

To learn how to create or locate the Secure ID, please see here:

https://certification.canonical.com/home/certification-testing
""")


factory = IntroPrompt
